> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ai Insights

> Get AI-generated personalized learning insights.

Returns cached insights if available, otherwise generates new insights
using LLM based on the user's analytics data.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/analytics/me/ai-insights
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/analytics/me/ai-insights:
    get:
      tags:
        - learn-analytics
      summary: Get Ai Insights
      description: |-
        Get AI-generated personalized learning insights.

        Returns cached insights if available, otherwise generates new insights
        using LLM based on the user's analytics data.
      operationId: get_ai_insights_api_v1_learn_analytics_me_ai_insights_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIInsightsResponseDTO'
      security:
        - HTTPBearer: []
components:
  schemas:
    AIInsightsResponseDTO:
      properties:
        insights:
          items:
            $ref: '#/components/schemas/AIInsightDTO'
          type: array
          title: Insights
        generatedAt:
          type: string
          format: date-time
          title: Generatedat
      type: object
      required:
        - insights
        - generatedAt
      title: AIInsightsResponseDTO
      description: AI insights response with generated insights and timestamp.
    AIInsightDTO:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          title: Type
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        metric:
          anyOf:
            - $ref: '#/components/schemas/AIInsightMetricDTO'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - id
        - type
        - title
        - description
      title: AIInsightDTO
      description: A single AI-generated insight.
    AIInsightMetricDTO:
      properties:
        label:
          type: string
          title: Label
        value:
          type: string
          title: Value
        trend:
          anyOf:
            - type: string
            - type: 'null'
          title: Trend
      additionalProperties: false
      type: object
      required:
        - label
        - value
      title: AIInsightMetricDTO
      description: Optional metric shown with an AI insight.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````